Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BallHandling Class Reference

Gives information from the behavior to other modules about the actual handling of the ball. More...

`#include <BallHandling.h>`

Inheritance diagram for BallHandling:

[legend]
Collaboration diagram for BallHandling:

[legend]
List of all members.

## Public Types
enum | BehaviorBallState { notHandlingTheBall, handlingTheBall, performingAKick, dribbleTheBall, goToInterceptionPoint }
## Public Member Functions
| BallHandling ()
virtual void | serialize (In *in, Out *out)
## Public Attributes
BehaviorBallState | behaviorBallState

## Detailed Description

Gives information from the behavior to other modules about the actual handling of the ball.

Definition at line 20 of file BallHandling.h.

## Member Enumeration Documentation

enum BallHandling::BehaviorBallState

  | Enumeration values:
  notHandlingTheBall |
  handlingTheBall |
  performingAKick |
  dribbleTheBall |
  goToInterceptionPoint |
Definition at line 30 of file BallHandling.h.

## Constructor & Destructor Documentation

BallHandling::BallHandling | ( |  | ) | `[inline]`

| Definition at line 24 of file BallHandling.h. References behaviorBallState, and notHandlingTheBall.

## Member Function Documentation

virtual void BallHandling::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 41 of file BallHandling.h. References behaviorBallState, in, out, STREAM_ENUMASINT_EXT, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

BehaviorBallState BallHandling::behaviorBallState

| Definition at line 38 of file BallHandling.h. Referenced by BallHandling(), GT2005StrategySymbols::estimateTimeToReachBall(), GT2005BallLocator::execute(), GT2005StrategySymbols::registerSymbols(), serialize(), and GT2005StrategySymbols::update().

The documentation for this class was generated from the following file:

- Representations/Behavior/BallHandling.h